v.out.dxf(1)

NAME
v.out.dxf - Exports vector map to DXF file format.

KEYWORDS
vector, export, output, DXF

SYNOPSIS
v.out.dxf
v.out.dxf --help
v.out.dxf input=name [layer=string] output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

layer=string
    Layer number or name (’-1’ for all layers)
    A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
    Default: -1

output=name [required]
    Name for DXF output file

DESCRIPTION
The GRASS program v.out.dxf conversion program generates an ASCII DXF (AutoCAD) file from a GRASS vector. The output file is placed in the user’s current working directory unless the user specifies a full pathname for the output.

NOTES
DXF files output by AutoCAD have the suffix .dxf

REFERENCES
AutoCad DXF (from Wikipedia, the free encyclopedia)

SEE ALSO
v.in.dxf

Introduction to GRASS vector map processing

AUTHORS
Charles Ehlschlaeger, U.S. Army Construction Engineering Research Laboratory,
wrote original v.out.dxf program in 4/89.

Update to GRASS 5.7 Radim Blazek, 10/2004

SOURCE CODE

Available at: v.out.dxf source code (history)

Accessed: Saturday Mar 23 01:19:17 2024

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual